
clear all

talker = {'f101', 'm102', 'f103', 'm104', 'f105', 'f106', 'm107', 'f108',...
        'f109', 'm111', 'm112', 'f113', 'm114', 'm115', 'm117', 'm118',...
        'f119', 'm120'};
C_choice_old = {'xc', 'xd', 'xg', 'xj', 'xs', 'xt', 'xz', 'b', 'd', 'f',...
    'g', 'h', 'k', 'l', 'm', 'n', 'p', 'r', 's', 't', 'v', 'w', 'y', 'z'};
V_choice_old = {'a', 'xq', 'xi', 'e', 'xa', 'xe', 'xo', 'xr', 'xu', 'xw',...
    'xy', 'c', 'i', 'o', 'u'};
%C_choice_new = {'ch', 'dh', 'ng', 'j', 'sh', 'th', 'zh', 'b', 'd', 'f',...
%    'g','h', 'k', 'l', 'm', 'n','p', 'r', 's', 't', 'v', 'w', 'y', 'z'};
%V_choice_new = {'ae', 'U', 'e', 'i', 'oy', 'ir', 'u', 'ow', 'ai', 'a',...
%    'au', 'ei', 'ee', 'oa', 'oo'};

path = '../data/';
subid = 'Angela';

load(['Data_' subid '.mat'])
load(['IPAData_' subid '.mat'])

CM_C = zeros(24,24,2);
CM_V = zeros(15,15,2);
for i = 1:length(data)
    stim = resolve_stim(data(i).stim);
    resp = data(i).resp;
    % ***************************************
    % Combine IPA transcription to resp right here
    % ***************************************
    if isfield(data_IPA(i).resp, 'R')
        temp = data_IPA(i).resp.R;        
        resp.R(length(resp.R)+[1:length(temp)]) = temp;
    end
    
    if strcmp(stim.category ,'CV')
        C_resp = strmatch('C',{resp.R.category});
        L = length(C_resp);
        for j = 1:L
            CM_C(strmatch(stim.C,C_choice_old),strmatch(resp.R(C_resp(j)).r,C_choice_old),1) =...
                CM_C(strmatch(stim.C,C_choice_old),strmatch(resp.R(C_resp(j)).r,C_choice_old),1) + 1/L;
        end
        V_resp = strmatch('V',{resp.R.category});
        L = length(V_resp);
        for j = 1:L
            CM_V(strmatch(stim.V,V_choice_old),strmatch(resp.R(V_resp(j)).r,V_choice_old),2) =...
                CM_V(strmatch(stim.V,V_choice_old),strmatch(resp.R(V_resp(j)).r,V_choice_old),2) + 1/L;
        end
    else
        C_resp = strmatch('C',{resp.R.category});
        L = length(C_resp);
        for j = 1:L
            CM_C(strmatch(stim.C,C_choice_old),strmatch(resp.R(C_resp(j)).r,C_choice_old),2) =...
                CM_C(strmatch(stim.C,C_choice_old),strmatch(resp.R(C_resp(j)).r,C_choice_old),2) + 1/L;
        end
        V_resp = strmatch('V',{resp.R.category});
        L = length(V_resp);
        for j = 1:L
            CM_V(strmatch(stim.V,V_choice_old),strmatch(resp.R(V_resp(j)).r,V_choice_old),1) =...
                CM_V(strmatch(stim.V,V_choice_old),strmatch(resp.R(V_resp(j)).r,V_choice_old),1) + 1/L;
        end
    end
end


save(['CM_IPACombined_' subid '.mat'],'CM_C','CM_V','C_choice_old','V_choice_old')

