
clear all
close all

symbols = {'@', 'A', 'C', 'D', 'E', 'G', 'I', 'J', 'O', 'R', 'S', 'T', 'U',...
    'W', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'k', 'l',...
    'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'v', 'w', 'y', 'z'};

C = {'C', 'D', 'G', 'J', 'S', 'T', 'Z', 'b', 'd', 'f', 'g', 'h', 'k', 'l',...
    'm', 'n', 'p', 'r', 's', 't', 'v', 'w', 'y', 'z'};

V = setdiff(symbols,C);

subid = {'Laura','Matt','Tina','Angela','Norene','Tony','Teddy'};


Ph_low(4).V = {'@', 'I', 'O', 'U', 'W', 'Y', 'e', 'o'};
Ph_low(4).C = {'D', 'Z', 'b', 'd', 'f', 'p', 't'};
Ph_low(5).V = {'@', 'A', 'I', 'R', 'U', 'W', 'a'};
Ph_low(5).C = {'C', 'D', 'S', 'T', 'f', 'k', 'm'};
Ph_low(6).V = {'A', 'E', 'I', 'U', 'Y', 'e'};
Ph_low(6).C = {'C', 'D', 'G', 'S', 'f', 'l', 's', 't', 'w'};
Ph_low(7).V = {'E'};
Ph_low(7).C = {'C', 'D', 'S', 'f', 'v'};


n = 20;

for s = 4:length(subid)
	
	load(['Data_' subid{s} '.mat'])
    clear p N

	L = floor(length(data)/n);
    p = zeros(length(symbols),L);
    N = zeros(length(symbols),L);
	for i = 1:L
% 		chunk = str2num([data((i-1)*n+[1:n]).stim]') - str2num([data((i-1)*n+[1:n]).resp]');
% 		chunk_score(i) = length(find(chunk == 0))/n;
        chunk_score(i) = length(find([data((i-1)*n+[1:n]).score]))/n;
        for j = 1:n
            if data((i-1)*n+j).var_pos == 2
                tgt_index = strmatch(data((i-1)*n+j).tgt2,symbols);
            else
                tgt_index = strmatch(data((i-1)*n+j).tgt1,symbols);
            end
            N(tgt_index, i) = N(tgt_index, i) + 1;
            p(tgt_index, i) = p(tgt_index, i) + data((i-1)*n+j).score;
        end
    end
    warning off
    Ncum = cumsum(N,2);
    P = cumsum(p,2)./cumsum(N,2);
    warning on
    
    figure(1)
    set(gca,'FontSize',24)
    hold on
    
    figure(2)
    set(gca,'FontSize',24)
    hold on
    
    for i = 1:length(symbols)
        if strmatch(symbols{i},C)
            figure(1)
            ph_low = strmatch(symbols{i},Ph_low(s).C);
        else
            figure(2)
            ph_low = strmatch(symbols{i},Ph_low(s).V);
        end
        
        change = find(diff(N(i,:)))+1;
        if ph_low
            disp([symbols{i} ':' num2str(P(i,end)*100) '%'])
%             plot([1:length(change)+1]*n, P(i,[1, change])*100, 'k-',
%             'LineWidth', 2)
            plot(Ncum(i,[1 change]), P(i,[1, change])*100, 'k-', 'LineWidth', 2)
        else
%             plot([1:length(change)+1]*n, P(i,[1, change])*100, 'k--',
%             'LineWidth', 1)
            plot(Ncum(i,[1 change]), P(i,[1, change])*100, 'k--', 'LineWidth', 1)
        end
    end
    
    figure(1)
    ylim([50 100])
    xlabel('Number of presentations','FontSize',24)
    ylabel('Cumulative score [%]','FontSize',24)
    title('Consonant Scores','FontSize',24)
    saveas(gca,['Progress_' subid{s} '_C.fig'],'fig')
    print('-deps2',['Progress_' subid{s} '_C'])
    close

    figure(2)
    ylim([50 100])
    xlabel('Number of presentations','FontSize',24)
    ylabel('Cumulative score [%]','FontSize',24)
    title('Vowel Scores','FontSize',24)
    saveas(gca,['Progress_' subid{s} '_V.fig'],'fig')
    print('-deps2',['Progress_' subid{s} '_V'])
    close

    clear chunk_score

end

% saveas(gca,['Progress.fig'],'fig')
% print('-deps2',['Progress'])
% close
